#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	id3lib
Version		:	3.8.3
Release		:	16.2.0.rel%{?dist}
Summary		:	Library for manipulating ID3v1 and ID3v2 tags

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://id3lib.sourceforge.net/

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-consolidated_patches-1.patch
#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	doxygen

#-----------------------------------------------------------------------------
%description
This package provides a software library for
manipulating ID3v1 and ID3v2 tags.
It provides a convenient interface for
software developers to include standards-compliant
ID3v1/2 tagging capabilities in their applications.
Features include identification of valid tags,
automatic size conversions, (re)synchronisation
of tag frames, seamless tag (de)compression,
and optional padding facilities.
Additionally, it can tell mp3 header info, like bitrate etc.


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog HISTORY NEWS README THANKS TODO
%doc __doc/doc/
%license COPYING
%{_bindir}/id3convert
%{_bindir}/id3cp
%{_bindir}/id3info
%{_bindir}/id3tag
%{_libdir}/libid3-3.8.so.*
%{_mandir}/man1/id3convert.1.gz
%{_mandir}/man1/id3cp.1.gz
%{_mandir}/man1/id3info.1.gz
%{_mandir}/man1/id3tag.1.gz

#=============================================================================
%package		devel
Summary		:	Development files for %{name} 

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Files needed when building software with %{name}.
 

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc doc/id3lib.css doc/api/
%{_includedir}/id3.h
%{_includedir}/id3/*.h
%{_libdir}/libid3.so

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

libtoolize -fc
aclocal
autoconf 
automake --add-missing --copy 
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-dependency-tracking			\
	--disable-static				\

%{__make} 						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make}						\
	check

#-----------------------------------------------------------------------------
#installing program
%install

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	

%{__make}						\
	docs

%{__mkdir_p} __doc/doc
cp -p doc/*.{gif,jpg,png,html,txt,ico,css}  __doc/doc

%{__mkdir_p} -p %{buildroot}%{_mandir}/man1
install -pm 644 doc/man/*.1 %{buildroot}%{_mandir}/man1

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
